Bug 126126 - CAN-2004-0565 Information leak on Linux/ia64
CAN-2004-0565 Information leak on Linux/ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 08:40 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 15:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-16 08:40:40 EDT
Linux ia64 kernels have a floating point leak because the context
switch code checks just the psr.mfh bit and doesn't look at who the
FPH owner is.  This allows a malicious program to set the MFH bit and
look at the 
registers of another possibly sensitive process.

Patch available and committed:

http://lia64.bkbits.net:8080/to-linus-2.5/cset@1.1726.29.7

CAN-2004-0565 Affects: 3AS 3ES 3WS
Comment 1 Josh Bressers 2004-06-18 11:15:49 EDT

*** This bug has been marked as a duplicate of 124734 ***
Comment 2 Ernie Petrides 2004-12-20 20:38:31 EST
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.1.EL).
Comment 3 Ernie Petrides 2004-12-22 16:58:18 EST
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.4.EL).
Comment 4 Josh Bressers 2004-12-23 15:48:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-689.html

Note You need to log in before you can comment on or make changes to this bug.